Subject: bug#10164: closed (Re: bug#10164: 24.0.91; Instant crash enabling linum-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Nov 2011 16:58:02 +0000

Your bug report

#10164: 24.0.91; Instant crash enabling linum-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10164: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10164
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10164: 24.0.91; Instant crash enabling linum-mode
From: Eli Zaretskii <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 30 Nov 2011 18:56:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Chong Yidong <[email-masked]>
> Cc: Juanma Barranquero <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 01 Dec 2011 00:29:37 +0800
> 
> > Chong, please hold off the pretest while I debug this.
> 
> I bumped the version number in the trunk before seeing this latest
> message.  But, I haven't made the pretest tag yet---will wait.

Thanks.  The bug is fixed in revision 106561.

It was simply wrong to try to verify rows' hash values at that spot,
because the code immediately before that reallocates the glyph arrays,
so the contents of a glyph row could be complete garbage.  Therefore,
I removed the assertion.

I'm amazed that this assertion didn't trigger until now.  I guess too
few people compile with asserts.  Or maybe most calls to
adjust_glyph_matrix don't really reallocate, since display margins are
a relatively rarely used feature.

Sorry about this, it was a shameful thinko on my part to introduce
that assertion in the first place.

Subject: 24.0.91; Instant crash enabling linum-mode
From: Tim Crews <[email-masked]>
To: [email-masked]
Date: Tue, 29 Nov 2011 19:05:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Running on Windows 7 Pro 64-bit SP1.  Running Emacs from http://alpha.gnu.org/gnu/emacs/windows/, the latest version extracted from emacs-20111121-r106472-bin-i386.zip.

Start Emacs with runemacs -Q --no-init-file
C-x C-f foo.txt
M-x linum-mode
(Emacs doesn't crash yet)
Type anything.  Emacs instantly crashes.

Alternatively:

Start Emacs with runemacs -Q --no-init-file
C-x C-f foo.txt
Type anything
M-x linum-mode
Emacs instantly crashes.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
`bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/emacs-24.0.91/etc/DEBUG.

(I am running Windows.  I have not been able to figure out how to get gdb running.  I would be glad to do it, if someone tells me how.)

In GNU Emacs 24.0.91.1 (i386-mingw-nt6.1.7601)
of 2011-11-21 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.6) --no-opt --cflags -ID:/devel/emacs/libs/libXpm-3.5.8/include -ID:/devel/emacs/libs/libXpm-3.5.8/src -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include -ID:/devel/emacs/libs/giflib-4.1.4-1/include -ID:/devel/emacs/libs/jpeg-6b-4/include -ID:/devel/emacs/libs/tiff-3.8.2-1/include -ID:/devel/emacs/libs/gnutls-2.10.1/include --ldflags -LD:/devel/emacs/libs/gnutls-2.10.1/lib'

Important settings:
value of $LC_ALL: nil
value of $LC_COLLATE: nil
value of $LC_CTYPE: nil
value of $LC_MESSAGES: nil
value of $LC_MONETARY: nil
value of $LC_NUMERIC: nil
value of $LC_TIME: nil
value of $LANG: ENU
value of $XMODIFIERS: nil
locale-coding-system: cp1252
default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
tooltip-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent input:
M-x r e p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)